GBE(4)

NAME
gbe - SGI Graphics Back End (GBE) frame buffer

SYNOPSIS
gbe0 at mainbus0
wsdisplay* at gbe?

DESCRIPTION
The gbe driver provides support for the on-board Graphics Back End (GBE) frame buffer found in SGI O2 machines. Console support is provided by the wscons(4) console framework.

A special option nosog can be passed from the ARCS firmware to the driver via the OSLoadOptions environment variable to disable Sync-on-Green signal.

SEE ALSO
intro(4), mainbus(4), wscons(4), wsdisplay(4)

HISTORY
The gbe driver first appeared in OpenBSD 4.3.

AUTHORS
The gbe driver was written by Joel Sing.

CAVEATS
Hardware initialization must currently be performed by the ARCS firmware. The resolution configured by the firmware will be used, with a fixed color depth of 8 bits.